aegis -DELta_NAme(1)

NAME
aegis -DELta_NAme - assign a symbolic name to a project delta

SYNOPSIS
aegis -DELta_NAme [ option... ] name
aegis -Help
aegis -VERSion

DESCRIPTION
The aegis -DELta_NAme command is used to add a symbolic name to a project delta. This is so that this name may be used, rather than the number, when extracting previous versions of the file using the aecp(1) command.

The -DELta number option on the command line specifies a delta number of the project. That is, it is the delta number assigned to an integration. Delta names may only be applied to project baselines. If no delta number is given on the command line, the current baseline is the default.

A name must be given on the command line. This is the name which will be assigned to the delta. If the name has already been used, you will be given a fatal error message. If you also specify the -OverWriting option the name will be removed from its previous delta and assigned to the requested delta.

OPTIONS
The following options are understood:

-Help
    This option may be used to obtain more information about how to use the aegis program.

-DELta number
    This option may be used to specify a particular delta in the project's history to name.

-DELta_DAte string
    This option may be used to specify a particular date and time in the project's history.

-Delta_From_Change number
    This option may be used to specify a particular delta in the project's history, based on when the given change was successfully integrated.

-List
    This option may be used to obtain a list of suitable subjects for this command. The list may be more general than expected.

-OverWriting
    This option may be used to force overwriting of files. The default action is to give an error if an existing file would be overwritten.

-Project name
    This option may be used to select the project of interest. When no -Project option is specified, the AEGIS_PROJECT environment variable is consulted. If that does not exist, the user's $HOME/.aegisrc file is examined for a default project field (see aeuconf(5) for more information). If that does not exist, when the user is only working on changes within a single project, the project name defaults to that project. Otherwise, it is an error.

-Wait
    This option may be used to require Aegis commands to wait for access locks, if they cannot be obtained immediately. Defaults to the user's lock_wait_preference if not specified, see aeuconf(5) for more information.

-No_Wait
    This option may be used to require Aegis commands to emit a fatal error if access locks cannot be obtained immediately. Defaults to the user's lock_wait_preference if not specified, see aeuconf(5) for more information.

All options may be abbreviated; the abbreviation is documented as the upper case letters, all lower case letters and underscores (_) are optional. You must use consecutive sequences of optional letters.

All options are case insensitive, you may type them in upper case or lower case or a combination of both, case is not important.

For example: the arguments "-project, "-PROJ" and "-p" are all interpreted to mean the -Project option. The argument "-prj" will not be understood, because consecutive optional characters were not supplied.

Options and other command line arguments may be mixed arbitrarily on the command line, after the function selectors.

The GNU long option names are understood. Since all option names for aegis are long, this means ignoring the extra leading '-'. The "--option=value" convention is also understood.

EXIT STATUS
The aegis command will exit with a status of 1 on any error. The aegis command will only exit with a status of 0 if there are no errors.

ENVIRONMENT VARIABLES
See aegis(1) for a list of environment variables which may affect this command. See aepconf(5) for the project configuration file's project_specific field for how to set environment variables for all commands executed by Aegis.

SEE ALSO

aecp(1)
    copy a file into a change, particularly the -DELta option

aeib(1)
    start the integration of a change

ael(1)
    list interesting this, particularly the project_history listing

COPYRIGHT
aegis version 4.24.2.D001
Copyright (C) 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 20 Peter Miller

The aegis program comes with ABSOLUTELY NO WARRANTY; for details use the 'aegis -VERSion License' command. This is free software and you are welcome to redistribute it under certain conditions; for details use the 'aegis -VERSion License' command.

AUTHOR
Peter Miller | E-Mail: | millerp@canb.auug.org.au
/\/\* | WWW: | http://www.canb.auug.org.au/~millerp/